summaryrefslogtreecommitdiff
path: root/qa/592
diff options
context:
space:
mode:
Diffstat (limited to 'qa/592')
-rwxr-xr-xqa/59241
1 files changed, 41 insertions, 0 deletions
diff --git a/qa/592 b/qa/592
new file mode 100755
index 0000000..a9a887f
--- /dev/null
+++ b/qa/592
@@ -0,0 +1,41 @@
+#! /bin/sh
+# PCP QA Test No. 592
+# test new "sample.many.{count,int}" metric
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+. ./localconfig
+
+if [ $PCP_VER -le 2100 ]
+then
+ echo "needs sample.many metrics" >$seq.notrun
+ echo "$seq: [not run] `cat $seq.notrun`"
+ exit 0
+fi
+
+cleanup()
+{
+ pmstore sample.many.count 5
+}
+
+trap "cleanup ; rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+
+pminfo -t sample.many.count
+pminfo -t sample.many.int
+
+pminfo -f sample.many.count
+pminfo -f sample.many.int
+pmstore sample.many.count 13
+pminfo -f sample.many.count
+pminfo -f sample.many.int
+